%global pypi_name pathspec

Name:           python-%{pypi_name}
Version:        0.10.3
Release:        %mkrel 1
Summary:        Utility library for gitignore style pattern matching of file paths
Group:          Development/Python
License:        MPL 2.0
URL:            https://pypi.org/project/pathspec/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest

%description
Path Specification (pathspec) is a utility library for pattern matching of file
paths. So far this only includes Git's wildmatch pattern matching which itself
is derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Path Specification (pathspec) is a utility library for pattern matching of file
paths. So far this only includes Git's wildmatch pattern matching which itself
is derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.


%prep
%autosetup -n pathspec-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%check
%pytest

%files -n python3-pathspec
%doc README.rst
%license LICENSE
%{python3_sitelib}/pathspec
%{python3_sitelib}/pathspec-%{version}-py%{python3_version}.egg-info


%changelog
* Sat Dec 17 2022 guillomovitch <guillomovitch> 0.10.3-1.mga9
+ Revision: 1924283
- new version 0.10.3

* Sat Nov 19 2022 guillomovitch <guillomovitch> 0.10.2-1.mga9
+ Revision: 1908847
- new version 0.10.2

* Sun Sep 18 2022 guillomovitch <guillomovitch> 0.10.1-1.mga9
+ Revision: 1889858
- new version 0.10.1

* Sat Mar 26 2022 umeabot <umeabot> 0.9.0-3.mga9
+ Revision: 1828445
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 0.9.0-2.mga9
+ Revision: 1774271
- Rebuild for python-3.10

* Mon Aug 30 2021 wally <wally> 0.9.0-1.mga9
+ Revision: 1743625
- new version 0.9.0

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.8.1-2.mga9
+ Revision: 1705487
- rebuild for python 3.9

* Mon Nov 09 2020 guillomovitch <guillomovitch> 0.8.1-1.mga8
+ Revision: 1644153
- imported package python-pathspec

